curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/groups/{id} \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
"tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
"groupId": "drDwrQ",
"groupName": "Engineering Team",
"status": "ACTIVE",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"isSynced": false,
"tenantGroupType": {
"id": "6e606506-4c84-49a9-8abe-ce46d5b44e70",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"isDefault": false,
"disableOption": "KEEP_ASSOCIATIONS"
},
"isDeleted": false,
"disableOption": "NA",
"baseCurrency": "",
"displayName": "Engineering Department",
"legalName": "Engineering Department LLC",
"externalId": "EXT-GROUP-12345",
"instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
"address": {
"id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
"groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
"street1": "123 Main Street",
"city": "New York",
"state": "New York",
"zipCode": "10001",
"country": "United States",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"street2": "Suite 100",
"stateCode": "NY",
"countryCode": "US"
},
"parentGroups": [
{
"id": "f8e83c38-c408-46d0-8e10-a3bc01073a28",
"parentId": "f3babb40-7bfa-4fc0-9942-4af717f25701",
"createdAt": "2024-01-01T00:00:00.000Z",
"parentGroup": {
"id": "e9db3b7c-e5cd-4ff4-9d6d-a6528ec04aa1",
"tenantId": "56cdb45f-cd19-4be3-963c-2b4b4eb4529e",
"groupId": "10000",
"groupName": "Engineering Team",
"displayName": "Engineering Team",
"legalName": "Engineering Team",
"status": "ACTIVE",
"tenantGroupType": {
"id": "6414c9b4-72f9-4788-99da-976747a10992",
"groupTypeName": "Department"
}
}
}
],
"decisionsCount": 25,
"delegationsCount": 25
}
}curl --request GET \
--url https://staging.api.us.aptlydone.com/settings/v1/groups/{id} \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
"tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
"groupId": "drDwrQ",
"groupName": "Engineering Team",
"status": "ACTIVE",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"isSynced": false,
"tenantGroupType": {
"id": "6e606506-4c84-49a9-8abe-ce46d5b44e70",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"isDefault": false,
"disableOption": "KEEP_ASSOCIATIONS"
},
"isDeleted": false,
"disableOption": "NA",
"baseCurrency": "",
"displayName": "Engineering Department",
"legalName": "Engineering Department LLC",
"externalId": "EXT-GROUP-12345",
"instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
"address": {
"id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
"groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
"street1": "123 Main Street",
"city": "New York",
"state": "New York",
"zipCode": "10001",
"country": "United States",
"createdOn": "2023-01-01T12:00:00Z",
"updatedOn": "2023-01-15T12:00:00Z",
"street2": "Suite 100",
"stateCode": "NY",
"countryCode": "US"
},
"parentGroups": [
{
"id": "f8e83c38-c408-46d0-8e10-a3bc01073a28",
"parentId": "f3babb40-7bfa-4fc0-9942-4af717f25701",
"createdAt": "2024-01-01T00:00:00.000Z",
"parentGroup": {
"id": "e9db3b7c-e5cd-4ff4-9d6d-a6528ec04aa1",
"tenantId": "56cdb45f-cd19-4be3-963c-2b4b4eb4529e",
"groupId": "10000",
"groupName": "Engineering Team",
"displayName": "Engineering Team",
"legalName": "Engineering Team",
"status": "ACTIVE",
"tenantGroupType": {
"id": "6414c9b4-72f9-4788-99da-976747a10992",
"groupTypeName": "Department"
}
}
}
],
"decisionsCount": 25,
"delegationsCount": 25
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Group details retrieved successfully
Was this page helpful?